<template>
    <div >
        <!--Page Title-->
        <section class="page-title" style="background-image:url(/assets/images/background/10.jpg);">
            <div class="auto-container">
                <div class="inner-container clearfix">
                    <div class="title-box">
                        <h1>{{details.name}}</h1>
                        <span class="title">The Interior speak for themselves</span>
                    </div>
                    <ul class="bread-crumb clearfix">
                        <li><a href="/">Home</a></li>
                        <li><a href="/product">Product</a></li>
                        <li>{{details.name}}</li>
                    </ul>
                </div>
            </div>
        </section>
        <!--End Page Title-->

        <!--Sidebar Page Container-->
        <div class="sidebar-page-container">
            <div class="auto-container">
                <div class="row clearfix">
                    
                    <!--Content Side-->
                    <div class="content-side col-xl-9 col-lg-8 col-md-12" id="product-technical">
                        <div class="shop-single">
                            <div class="product-details">
                                
                                <!--Basic Details-->
                                <div class="basic-details">
                                    <div class="row clearfix">
                                        <div class="image-column col-md-6 col-sm-12">
                                            <figure class="image-box"><a :href="$root.asset(details.image)" class="lightbox-image" title="Image Caption Here">
                                                <img :src="$root.asset(details.image)" alt=""></a>
                                            </figure>
                                            <table class="table table-bordered" style="width: 100%;">
                                                <tr>
                                                    <th colspan="2">Installation</th>
                                                </tr>
                                                <tr>
                                                    <td style="width: 50%;">Full Bonded</td>
                                                    <td>{{details.tb_installation.full_bonded}}</td>
                                                </tr>
                                                <tr>
                                                    <td>Nailed</td>
                                                    <td>{{details.tb_installation.nailed}}</td>
                                                </tr>
                                                <tr>
                                                    <td>Floated On Underlay</td>
                                                    <td>{{details.tb_installation.floated}}</td>
                                                </tr>
                                                <tr>
                                                    <td>Over Underfloor Heating</td>
                                                    <td>{{details.tb_installation.over_underfloor}}</td>
                                                </tr>
                                            </table>
                                            <table class="table">
                                                <tr>
                                                    <th >
                                                        Grading Criteria
                                                    </th>
                                                </tr>
                                                <tr v-for="cr in details.tb_criteria_gradings">
                                                    <th  v-if="$root.lang() == cr.id_lang">
                                                        {{cr.criteria}}
                                                    </th>
                                                </tr>
                                            </table>
                                        </div>
                                        <div class="info-column col-md-6 col-sm-12">
                                            <div class="details-header">
                                                <h4>{{details.name}}</h4>
                                                
                                            </div>

                                            <div class="text">
                                                <table class="table table-bordered" style="width: 100%;">
                                                    <tr>
                                                        <th colspan="2">Details</th>
                                                    </tr>
                                                    <tr>
                                                        <td>Name</td>
                                                        <td>{{details.name}}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>Code</td>
                                                        <td>{{details.code}}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>Construction</td>
                                                        <td>{{details.tb_construction.name}}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>Pattern</td>
                                                        <td>{{details.pattern}}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>Process</td>
                                                        <td>{{details.process}}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>Finish</td>
                                                        <td>{{details.finish}}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>Profile</td>
                                                        <td>{{details.profile}}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>Edge Profile</td>
                                                        <td>{{details.edge_profile}}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>Backing</td>
                                                        <td>{{details.backing}}</td>
                                                    </tr>
                                                    <tr>
                                                        <td>Thickness</td>
                                                        <td>
                                                            <span v-for="(thickness, index) in details.tb_size_thicknesses">
                                                                {{
                                                                    $root.lang() == 2 ? $root.convertToInch(thickness.size_thickness) : thickness.size_thickness
                                                                }} 
                                                                {{
                                                                    details.tb_size_thicknesses[index+1] ? ' / ' : 
                                                                    $root.lang() == 2 ? ' inch' : ' mm'
                                                                }}
                                                            </span>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>Width</td>
                                                        <td>
                                                            <span v-for="(wd, index) in details.tb_size_widths">
                                                                {{
                                                                    $root.lang() == 2 ? $root.convertToInch(wd.size_width) : wd.size_width
                                                                    
                                                                }} 
                                                                {{
                                                                    details.tb_size_widths[index+1] ? ' / ' :
                                                                    $root.lang() == 2 ? ' inch': ' mm'
                                                                }}
                                                            </span>
                                                        </td>
                                                    </tr>
                                                    <tr>
                                                        <td>Length</td>
                                                        <td>
                                                            <span v-for="(leng, index) in details.tb_size_lengths">
                                                                {{
                                                                    $root.lang() == 2 ? $root.convertToInch(leng.size_length) : leng.size_length
                                                                }} 
                                                                {{
                                                                    details.tb_size_lengths[index+1] ? ' / ' : 
                                                                    $root.lang() == 2 ? ' inch': ' mm'
                                                                }}
                                                            </span>
                                                        </td>
                                                    </tr>
                                                </table>
                                                
                                            </div>
                                            
                                        </div>
                                    </div>
                                </div>
                                <!--Basic Details-->
                                
                            </div>
                        </div>
                    </div>

                    <!--Sidebar Side-->
                    <div class="sidebar-side col-xl-3 col-lg-4 col-md-12">
                        <aside class="sidebar">
                            
                            <div class="sidebar-widget price-filters rangeslider-widget">
                                
                                <div class="range-slider-one clearfix">
                                    <div class="price-range-slider"></div>
                                    <div class="clearfix">
                                        <div style="margin-bottom: 10px;">
                                            <a href="#" class="theme-btn btn-style-one" style="width: 100%;">Visualize</a>
                                        </div>
                                        <div >
                                            <button v-if="!onDownloads" @click.prevent="getTechnicalSheets()" class="theme-btn btn-style-one" style="width: 100%">{{onDownloads ? 'Please Wait...':'Technical Sheet'}}</button>
                                            <button v-if="onDownloads" style="width: 100%;" disabled>Please Wait...</button>
                                        </div>
                                        <div style="margin-top: 10px;" >
                                            <a id="demo-tds" href="/assets/tds/demo/TDS_White_Mapple.pdf" class="theme-btn btn-style-one" style="width: 100%;">Preview TDS</a>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            
                            <!-- Top Related Posts -->
                            <div class="sidebar-widget related-posts">
                                <div class="sidebar-title">
                                    <h2>Popular Products</h2>
                                    <div class="separater"></div>
                                </div>
                                <div class="post" v-for="product in products" >
                                    <figure class="post-thumb" >
                                        <a :href="'/product/'+product.id">
                                            <img :src="$root.asset(product.image)" alt="">
                                        </a>
                                    </figure>
                                    <h4><a :href="'/product/'+product.id">{{product.name}}</a></h4>
                                    <div class="rating"><span class="fa fa-star"></span><span class="fa fa-star"></span><span class="fa fa-star"></span><span class="fa fa-star"></span><span class="fa fa-star"></span></div>
                                    <div class="price" >{{product.tb_construction.name}}</div>
                                    <hr>
                                </div>
                            </div>  
                        </aside>
                    </div>
                    
                    
                </div>
            </div>
        </div>
        <!--End Sidebar Page Container-->
        
        <!-- DEMO TDS -->
    </div>
</template>

<script>
    import ApiProduct from "../services/api/product.js"
    export default {
        props: ['id'],
        data() {
            return {
                products: [],
                details: {},
                onDownloads: false,
            }
        },
        mounted() {
            this.fetchProduct()
            this.fetchDetail()
        },
        methods: {
            fetchProduct() {
                this.products = ApiProduct.getProduct().rows
            },
            fetchDetail() {
                this.details = ApiProduct.getDetail_Product(this.id)
            },
            async getTechnicalSheets() {
                /** 
                 * Untuk TDS data yang dibutuhkan akan diproses di backend dan dikirim ke frontend.
                 * karena detail product sudah terambil sebelumnya maka yang dibutuhkan saat ini adalah blob image header
                 * dan footer.
                 * oleh karena itu backend akan mengirimkan blob tersebut
                 * 
                */
            }
        }
    }
</script>